import { TransactionLineBaseComponent } from '../core/base/transaction-line-base.component';
export declare class TransactionLineCommissionButtonComponent extends TransactionLineBaseComponent {
    inputLabel: boolean;
    showClass(): boolean;
    showDialogCommissionCode: boolean;
    handleShowDialog(event: MouseEvent): Promise<void>;
    protected transactionLineSet(): void;
    protected visibilitySet(): void;
    private _getCommissionCodeDescription;
}
